Bug 13650 - 4.13.5 Footnotes Remove title as suggested method for footnotes
Summary: 4.13.5 Footnotes Remove title as suggested method for footnotes
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec (show other bugs)
Version: unspecified
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: contributor
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords: a11y, a11ytf, WGDecision
Depends on:
Blocks:
 
Reported: 2011-08-03 23:45 UTC by Kelly Ford
Modified: 2012-04-20 02:55 UTC (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly Ford 2011-08-03 23:45:08 UTC
Title is already overloaded. The preference is to use the second method shown is this example for footnotes.  That is footnotes shyould be done with the number suggestion used here. The spec should promote this example.
Comment 1 Kelly Ford 2011-08-04 00:03:50 UTC
To be clear, the request here is to delete the suggestion for title and replace it with the text talking about use of the a element so that text covers both the original example where the text was used and the title examples.

For longer annotations, the a element should be used, pointing to an element later in the document. The convention is that the contents of the link be a number in square brackets.
Comment 2 Michael[tm] Smith 2011-08-04 05:14:53 UTC
mass-move component to LC1
Comment 3 Ian 'Hixie' Hickson 2011-08-06 07:24:43 UTC
I don't understand what problem this is solving. Can you elaborate?
Comment 4 Michael[tm] Smith 2011-11-20 18:05:18 UTC
Kelly, this bug is waiting on your response to comment #3:
> I don't understand what problem this is solving. Can you elaborate?
Comment 5 steve faulkner 2011-11-20 20:41:05 UTC
> I don't understand what problem this is solving. Can you elaborate?

The problem being solved is the removal of recommended advice in the spec that the is actually bad practice and reduces the accessibility of the content as it recommends authors place useful information in an attribute that is not available to users who cannot use a mouse or are using a touch device. If and when user agents provide practical access to this content for ALL users, the inclusion of such advice can be reconsidered, but until then it has no place in the spec.
Comment 6 Ian 'Hixie' Hickson 2011-11-21 21:56:30 UTC
> The problem being solved is the removal of recommended advice in the spec that
> the is actually bad practice

It is not.

> and reduces the accessibility of the content

It does not.

> it recommends authors place useful information in an attribute that is not
> available to users who cannot use a mouse or are using a touch device.

Browsers are required to expose this information to all users.

> If and
> when user agents provide practical access to this content for ALL users, the
> inclusion of such advice can be reconsidered, but until then it has no place in
> the spec.

That's backwards. The spec is forward-looking. For the same reason as the spec does not tell you how to work around old parsing bugs, or how to work around bugs in browsers' implementations of old APIs, it does not tell authors how to work around bugs in UI. Such advice belongs in contemporary authoring advice documents such as the WCAG documents.

EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: See above.
Comment 7 steve faulkner 2011-11-22 15:29:17 UTC
Raised as an Issue http://www.w3.org/html/wg/tracker/issues/182